#include <bits/stdc++.h>
using namespace std;
using namespace std;
typedef long long ll;
typedef vector <int> vi;
typedef pair <int,int> pii;
typedef pair<ll,ll> pll;
typedef vector<ll> vll;
#define A first
#define B second
#define PB push_back
#define MP make_pair
#define all(v) v.begin(),v.end()
#define FAST ios_base::sync_with_stdio(false),cin.tie(0),cout.tie(0);

int main()
{
    FAST
    int n,m;
    cin>>n>>m;
    pair<int,int> a[n];
    for(int i=0;i<n;i++) cin>>a[i].A>>a[i].B;
    for(int i=0;i<m;i++)
    {
        int l,r,x;
        cin>>l>>r>>x;
        int br=0;
        if(r<l) swap(r,l);
        for(int j=l-1;j<r;j++) if(a[j].A<=x && a[j].B>=x) br++;
        cout<<br<<endl;
    }
    return 0;
}